# All files / src/errors Exception.ts

0% Statements 0/11
0% Branches 0/4
0% Functions 0/3
0% Lines 0/9

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23

     export class Exception extends Error {
      public name = 'HTTP_EXCEPTION';
      public message: string;
      public type = 'HTTP_EXCEPTION';
      public status: number;

      /**
       *
       * @param status
       * @param message
       */
      constructor(status: number, message?: string) {
        super(message);

        this.status = status;
        this.message = message || 'Internal Error';
      }

      toString(): string {
        return `${this.name} (${this.status}): ${this.message}`.trim();
      }
    }